import 'package:remever/database/database.dart';
import 'package:remever/models/collection_dto.dart';

///
/// Интерфейс взаимодействия с коллекциями
///
abstract interface class CollectionsInterface {
  /// Получение списка коллекций
  Stream<List<Collection>> watchCollectionsList();

  /// Создание новой коллекции
  Future<void> createCollection(CollectionDto dto);
  Future<void> updateCollection(CollectionDto dto, String id);
  Future<void> deleteCollection(String id);

  /// Сделать коллекцию публичной
  Future<bool> makeCollectionPublic(String id, bool isPublic);
}
